#ifndef FIREBIRDANDQT_H
#define FIREBIRDANDQT_H

#include <QtGui/QMainWindow>
#include "ui_firebirdandqt.h"
#include "DatabaseModel.h"

class FireBirdAndQT : public QMainWindow
{
    Q_OBJECT

public:
    FireBirdAndQT(QWidget *parent = 0, Qt::WFlags flags = 0);
    ~FireBirdAndQT();

private:
    Ui::FireBirdAndQTClass ui;
    Model::DatabaseModel dbModel_;

private slots:
    void AddClicked();
    void OpenClicked();
    void CreateClicked();

};

#endif // FIREBIRDANDQT_H
