#ifndef _DATABASE_MODEL_H_
#define _DATABASE_MODEL_H_

#include "FireBirdDatabase.h"

namespace Model
{ 
    class DatabaseModel : public QObject
    {
        Q_OBJECT

    public:
        DatabaseModel();
        ~DatabaseModel();

    public :
        void Open();
        bool Create();
        void AddJob(const QString& jobName );
        void SelectJobs(QStringList& jobs );

    private:
        void Close();
        QString GetFullPath(const QString& path);

    private:
        FireBirdDatabase fireBirdDatabase_;
        static QString userName_;
        static QString password_;
        static QString resourceString_;

        Q_DISABLE_COPY(DatabaseModel);
    };
}

#endif // _DATABASE_MODEL_H_
