#include "firebirdandqt.h"


FireBirdAndQT::FireBirdAndQT(QWidget *parent, Qt::WFlags flags)
    : QMainWindow(parent, flags)
{
    ui.setupUi(this);
    bool connected = false;
    

    connected = connect(ui.ConnectBtn, SIGNAL(clicked()), this, SLOT(OpenClicked()));
    connected = connect(ui.CreateDB_BTN, SIGNAL(clicked()), this, SLOT(CreateClicked()));
    connected = connect(ui.addJobBTN, SIGNAL(clicked()), this, SLOT(AddClicked()));
    connected = false;
}

FireBirdAndQT::~FireBirdAndQT()
{

}

void FireBirdAndQT::AddClicked()
{
    QString jobName = ui.jobNameLineEidt->text();
    dbModel_.AddJob(jobName);
}

void FireBirdAndQT::OpenClicked()
{
    dbModel_.Open();

    // Get jobs from DB
    QStringList jobs;
    dbModel_.SelectJobs(jobs);
    ui.Jobs->addItems(jobs);
}

void FireBirdAndQT::CreateClicked()
{
    bool isCreated = dbModel_.Create();
}
